#ifndef LIBWCCL_PARSER_PARSINGSCOPE_H
#define LIBWCCL_PARSER_PARSINGSCOPE_H

#include <libwccl/variables.h>

namespace Wccl {

class ParsingScope
{
public:
	ParsingScope(const Corpus2::Tagset& tagset)
		: tagset_(tagset),
		  variables_()
	{
	}

	const Corpus2::Tagset& tagset() {
		return tagset_;
	}

	Variables& variables() {
		return variables_;
	}

private:
	const Corpus2::Tagset& tagset_;
	Variables variables_;
};

} /* end ns Wccl */

#endif // LIBWCCL_PARSER_PARSINGSCOPE_H
